Skip to main content
GET
/
webhook
/
endpoints
/
{endpointId}
Get webhook endpoint config
curl --request GET \
  --url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
    "description": "Endpoint to receive transaction notifications.",
    "createdAt": "2024-08-08T13:44:00.234524Z",
    "updatedAt": "2024-08-08T13:44:00.234526Z",
    "publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
    "url": "https://your-domain.com/transaction-webhooks"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

endpointId
string<uuid>
required

Unique identifier for the endpoint

Response

Webhook endpoint

data
WebhookEndpoint · object
required
Example:
{
"id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
"description": "Endpoint to receive transaction notifications.",
"createdAt": "2024-08-08T13:44:00.234524Z",
"updatedAt": "2024-08-08T13:44:00.234526Z",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
"url": "https://your-domain.com/transaction-webhooks"
}